<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class User extends CI_Controller {

	public function __construct(){
		
        parent::__construct();
        $this->load->helper('url');

        // Load cookie helper
        $this->load->helper('cookie');

        // Load Pagination library
		$this->load->library('pagination');

		// Load model
		$this->load->model('Main_model');
	}

	public function index(){
		$this->load->view('user_view');
	}

	// Read cookie
	public function getPaginationposition(){
		$pageno = 0;
		if($this->input->cookie('pageno') != null){
			$pageno =$this->input->cookie('pageno');
		}
		echo $pageno;
	}

	public function loadRecord($rowno=0){

		// Row per page
		$rowperpage = 5;

		// Set cookie
      	$cookie= array(
           'name'   => 'pageno',
           'value'  => $rowno,
           'expire' => 7200,
        );
        $this->input->set_cookie($cookie);

		// Row position
		if($rowno != 0){
			$rowno = ($rowno-1) * $rowperpage;
		}

      	// All records count
      	$allcount = $this->Main_model->getrecordCount();

      	// Get  records
      	$users_record = $this->Main_model->getData($rowno,$rowperpage);
      	
      	// Pagination Configuration
      	$config['base_url'] = base_url().'index.php/User/loadRecord';
      	$config['use_page_numbers'] = TRUE;
		$config['total_rows'] = $allcount;
		$config['per_page'] = $rowperpage;

		// Initialize
		$this->pagination->initialize($config);

		// Initialize $data Array
		$data['pagination'] = $this->pagination->create_links();
		$data['result'] = $users_record;
		$data['row'] = $rowno;

		echo json_encode($data);
		
	}

}